<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.attr("JSP RenewRegistration: start")}

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftDefault.jspf" %>
                </div>
                <div class="divright">
                    
                    <h3>Renew Registration</h3>
                    
                    <c:if test="${ident.reg.trialversion}">
                    	<p>Currently this is a trial version.</p>
                    </c:if>
                    <c:if test="${!ident.reg.trialversion}">
                    	<p>Current registration:</p>
                    	<table>
                    		<tr><td class="tdlabel">Registration expires:</td><td>${ident.reg.expirytext}</td></tr>
                    		<tr><td class="tdlabel">Maximum number of servers:</td><td>${ident.reg.maxservers}</td></tr>
                    		<tr><td class="tdlabel">Domains:</td><td>${ident.reg.domain}</td></tr>
                    	</table>
                    </c:if>
                    </p>                   
                    
                    <c:url var="ok_url"  value="/config/renewreginput/ok" />
                    <c:url var="cancel_url"  value="/config/renewreginput/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="regform">
                        <table>
                            <tr>
                                <td class="tdlabel">New Registration Key:</td>
                                <td><form:input path="regkey" size="150"/></td>
                            </tr>
                        </table>
                        
                        <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wsave}</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                            </tr>
                        </table>
                    
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>