<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.rep("JSP ReportingBallDetail: start")}

            <div class="divcont">
                <div class="divrepleft"></div>
                <div class="divrepright">

                <h2>${ident.wb}</h2>
                    
                <table class="reptable">
                    
                    <!-- Heading lines -->
                    <tr><td></td><td class="tdlabel">ID:</td><td colspan="4">${repball.ball.id}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">${ident.wt}:</td><td colspan="4">${repball.ball.type}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Usage:</td><td colspan="4">${repball.ball.usage}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Created:</td><td colspan="4">${repball.created}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Event time:</td><td colspan="4">${repball.eventtime}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Match key:</td><td colspan="4">${repball.ball.matchkey}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Match value:</td><td colspan="4">${repball.ball.matchval}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel tdpause">Store type:</td><td colspan="4">${repball.storetype}</td><td></td></tr>
                
                    <!-- Property -->
                    <tr>
                        <td>
                            <form action="<c:url value = "/reportingball/detailclicks/prop/dummy"/>">
                                <c:if test="${repball.showprop}">
                                    <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!repball.showprop}">
                                    <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td class="tdlabel" colspan="5">Properties:</td><td></td>
                    </tr>
                    <c:if test="${repball.showprop}">
                    <tr><td></td><td class="tdlabel">0</td><td colspan="2">${repball.ball.prop0}</td>
                        <td class="tdlabel">5</td><td colspan="2">${repball.ball.prop5}</td></tr>
                    <tr><td></td><td class="tdlabel">1</td><td colspan="2">${repball.ball.prop1}</td>
                        <td class="tdlabel">6</td><td colspan="2">${repball.ball.prop6}</td></tr>
                    <tr><td></td><td class="tdlabel">2</td><td colspan="2">${repball.ball.prop2}</td>
                        <td class="tdlabel">7</td><td colspan="2">${repball.ball.prop7}</td></tr>
                    <tr><td></td><td class="tdlabel">3</td><td colspan="2">${repball.ball.prop3}</td>
                        <td class="tdlabel">8</td><td colspan="2">${repball.ball.prop8}</td></tr>
                    <tr><td></td><td class="tdlabel">4</td><td colspan="2">${repball.ball.prop4}</td>
                        <td class="tdlabel">9</td><td colspan="2">${repball.ball.prop9}</td></tr>
                    </c:if>
                </table>
                
                <!-- Master data -->
                <c:if test="${fn:length(repball.master.nodes) > 0}">
                    <table><tr>
                        <td>
                            <form action="<c:url value = "/reportingball/detailclicks/master/dummy"/>">
                                <c:if test="${repball.showmaster}">
                                    <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!repball.showmaster}">
                                    <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td class="tdlabel">Master data:</td>
                    </tr></table>
                    <c:if test="${repball.showmaster}">
                    <ul class="attrtreeul">
                        <c:forEach var="child" items="${repball.master.nodes}">
                            <template:RepRecursion ajsp="${child}" callback="${repball.masterurl}"/>
                        </c:forEach>
                    </ul>
                    </c:if>
                </c:if>        
                
                <!-- Transactional data-->
                <c:if test="${fn:length(repball.trans.nodes) > 0}">
                    <table><tr>
                        <td>
                            <form action="<c:url value = "/reportingball/detailclicks/trans/dummy"/>">
                                <c:if test="${repball.showtrans}">
                                    <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!repball.showtrans}">
                                    <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td class="tdlabel">Transactional data:</td>
                    </tr></table>
                    <c:if test="${repball.showtrans}">
                    <ul class="attrtreeul">
                        <c:forEach var="child" items="${repball.trans.nodes}">
                            <template:RepRecursion ajsp="${child}" callback="${repball.transurl}"/>
                        </c:forEach>
                    </ul>
                    </c:if>
                </c:if>     
                
                <!-- Multimatch -->
                <c:if test="${fn:length(repball.ball.multimatch.mm) > 0}">
                    <table>
                        <tr>
                            <td>
                                <form action="<c:url value = "/reportingball/detailclicks/multimatch/dummy"/>">
                                    <c:if test="${repball.showmultimatch}">
                                        <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                    </c:if>
                                    <c:if test="${!repball.showmultimatch}">
                                        <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                    </c:if>
                                </form>
                            </td>
                            <td class="tdlabel" colspan="12">Multimatch:</td>
                        </tr>
                        <c:if test="${repball.showmultimatch}">
                        <tr><td></td>
                            <td class="tdlabel">Matchkey</td><td class="tdlabel">Matchval</td>
                            <td class="tdlabel">Prop0</td><td class="tdlabel">Prop1</td>
                            <td class="tdlabel">Prop2</td><td class="tdlabel">Prop3</td>
                            <td class="tdlabel">Prop4</td><td class="tdlabel">Prop5</td>
                            <td class="tdlabel">Prop6</td><td class="tdlabel">Prop7</td>
                            <td class="tdlabel">Prop8</td><td class="tdlabel">Prop9</td>
                        </tr>
                        <c:forEach var="mm" items="${repball.ball.multimatch.mm}">
                            <tr><td></td>
                                <td>${mm.matchkey}</td><td>${mm.matchval}</td>
                                <td>${mm.prop0}</td><td>${mm.prop1}</td>
                                <td>${mm.prop2}</td><td>${mm.prop3}</td>
                                <td>${mm.prop4}</td><td>${mm.prop5}</td>
                                <td>${mm.prop6}</td><td>${mm.prop7}</td>
                                <td>${mm.prop8}</td><td>${mm.prop9}</td>
                            </tr>
                        </c:forEach>
                        </c:if>
                    </table>
                </c:if>
                
                <!-- Pots list -->
                <c:if test="${replistballsbyform}">
                    <form action="<c:url value = "/reportingball/detailclicks/showpots/dummy"/>">
                            <button type="submit">Associated ${ident.wps}</button>
                    </form>
                </c:if>
                    
            </div>
            </div>

    </body>
</html>