<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"></div>
                <div class="divright">
                    
                    <h2>Overview</h2>
                    
                    <c:if test="${diagsys.systems.size() > 0}"><table>
                    
                    	<tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td><b>Status</b></td>
                            <td><b>Name</b></td>
                            <td><b>Description</b></td>
                            <td><b>Type</b></td>
                            <td><b>Storetype</b></td>
                            <td><b>SysStatus</b></td>
                            <td><b>Version</b></td>
                            <td><b>URL</b></td>
                            <td><b>AppName</b></td>
                            <td><b>ConfRep</b></td>
                            <td><b>Ping</b></td>
                            <td><b>Sysid</b></td>
                        </tr>
                        
                        <tr>
                            <td><a href="<c:url value = "/diagnostics/testsystem/ALLSYSTEMS"/>">${ident.ws.wtest}</a></td>
                            <td><a href="<c:url value = "/diagnostics/reload/ALLSYSTEMS"/>">${ident.ws.wreload}</a></td>
                            <td><a href="<c:url value = "/diagnostics/reloadall/ALLSYSTEMS"/>">${ident.ws.wreloadall}</a></td>
                            <td></td>
                            <td><b>All</b></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>
                        
                        <c:forEach var="sys" items="${diagsys.systems}">
                        
                        	<tr>
                            	<td><a href="<c:url value = "/diagnostics/testsystem/${ident.tourl(sys.sysid)}"/>">${ident.ws.wtest}</a></td>
                            	<td><a href="<c:url value = "/diagnostics/reload/${ident.tourl(sys.sysid)}"/>">${ident.ws.wreload}</a></td>
                            	<td><a href="<c:url value = "/diagnostics/reloadall/${ident.tourl(sys.sysid)}"/>">${ident.ws.wreloadall}</a></td>
                            	<td><template:Lamp text="${sys.status}" /></td>
                            	<td>${sys.sysname}</td>
                            	<td>${sys.description}</td>
                            	<td>${sys.systype}</td>
                            	<td>${sys.storetype}</td>
                            	<td>${sys.sysstatus}</td>
                            	<td>${sys.version}</td>
                            	<td>${sys.url}</td>
                            	<td>${sys.appname}</td>
                            	<td><template:Lamp text="${sys.configrepo}" /></td>
                            	<td><template:Lamp text="${sys.ping}" /></td>
                            	<td>${sys.sysid}</td>
                        	</tr>
                        
                        </c:forEach>
                    
                    </table></c:if>
                    
                    <br>
                    
                    <c:if test="${diagsys.reports.size() > 0}">
                    
                    	<h2>Details</h2>
                    
                    	<c:forEach var="sysrep" items="${diagsys.reports}">
                    		<h2><template:Lamp text="${sysrep.status}" /> ${sysrep.sysname} - ${sysrep.sysdescription}</h2>
                    		<ul>
                    			<c:if test="${sysrep.displaydatabases}">
                    				<li><template:Lamp text="${sysrep.databases.status}" /> <a href="<c:url value = "/diagnostics/systemdetail/${ident.tourl(sysrep.sysid)}/database/dummy"/>">Databases</a></li>
                    			</c:if>
                    			<c:if test="${sysrep.displayconfigrepo}">
                    				<li><template:Lamp text="${sysrep.configrepo.status}" /> <a href="<c:url value = "/diagnostics/systemdetail/${ident.tourl(sysrep.sysid)}/configrepo/dummy"/>">DB buffers (ConfigRepo)</a></li>
                    			</c:if>
                    			<c:if test="${sysrep.displaybgprocess}">
                    				<li><template:Lamp text="${sysrep.bgprocess.status}" /> <a href="<c:url value = "/diagnostics/systemdetail/${ident.tourl(sysrep.sysid)}/bgprocess/dummy"/>">Scheduled background processes</a></li>
                    			</c:if>
                    			<c:if test="${sysrep.displayprocessors}">
                    				<c:forEach var="prtype" items="${sysrep.processors.prcs}">
                    					<li>
                    						<template:Lamp text="${prtype.status}" /> 
                    						<a href="<c:url value = "/diagnostics/systemdetail/${ident.tourl(sysrep.sysid)}/processtype/${prtype.proctype}"/>">QueueProcessors ${prtype.proctype}</a>
                    					</li>
                    				</c:forEach>
                    			</c:if>
                    			<c:if test="${sysrep.displayqueues}">
                    				<li><template:Lamp text="${sysrep.queues.status}" /> <a href="<c:url value = "/diagnostics/systemdetail/${ident.tourl(sysrep.sysid)}/queues/dummy"/>">Queues</a></li>
                    			</c:if>
                    			<c:if test="${sysrep.displaymisc}">
                    				<li><template:Lamp text="${sysrep.misc.status}" /> <a href="<c:url value = "/diagnostics/systemdetail/${ident.tourl(sysrep.sysid)}/misc/dummy"/>">Other non-categorized system elements</a></li>
                    			</c:if>
                    		</ul>
                    	
                    	</c:forEach>
                    	
                    	<br/>
                    
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>