<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.attr("JSP RuleStepEdit: start")}

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/reporter/jspf/LeftRuleStepEdit.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">Edit Step:</p>                   
                    
                    <c:url var="ok_url"  value="/reporter/rulestepeditinput/ok" />
                    <c:url var="cancel_url"  value="/reporter/rulestepeditinput/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="rsef">
                        
                        <table>
                        
                            <tr>
                                <td class="tdlabel">Label:</td>
                                <td><form:input path="label"/></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel">Constraint:</td>
                                <td><form:input path="sconstraint" size="100"/></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel">Action type:</td>
                                <td>
                                    <form:select path="actiontype">
                                        <form:options items = "${aclist}" />
                                    </form:select>
                                </td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel">Action:</td>
                                <td><form:input path="saction" size="100"/></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel">Go to label if true:</td>
                                <td><form:input path="nexttruelabel"/></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel">Go to label if false:</td>
                                <td><form:input path="nextfalselabel"/></td>
                            </tr>

                        </table>
                        
                        <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wsave}</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                        </table>
                        
                        <br/>
                        
                        <table>
                            <tr><td><b>Constraints:</b></td><td></td><td></td></tr>
                            <tr><td></td>
                                <td>(empty)</td>
                                <td>true</td></tr>
                            <tr><td></td>
                                <td>true</td>
                                <td>true</td></tr>
                            <tr><td></td>
                                <td>false</td>
                                <td>false</td></tr>
                            <tr><td></td>
                                <td>happened([EventName])</td>
                                <td>true if the expected event happened already</td></tr>
                            <tr><td></td>
                                <td>[Boolean value Variable]</td>
                                <td>true->true, false->false</td></tr>
                            <tr><td></td>
                                <td>[Variable] [comparison: =|!=|&lt;|&lt;=|&gt;|&gt;=] [Variable]|[Constant]</td>
                                <td>true or false</td></tr>
                            <tr><td>in detail:</td><td></td><td></td></tr>
                            <tr><td></td>
                                <td>[text] = [text]</td>
                                <td></td></tr>
                            <tr><td></td>
                                <td>[boolean] = [boolean]</td>
                                <td></td></tr>
                            <tr><td></td>
                                <td>[timestamp] [compare] [timestamp]</td>
                                <td>timestamp format: yyyy-MM-dd HH:mm:ss (in UTC time)</td></tr>
                            <tr><td></td>
                                <td>[number] [compare] [number]</td>
                                <td>only single variable or numeric constant, no mathematical formulas!</td></tr>
                            <tr><td>operators:</td>
                                <td>[OR] and [AND]</td>
                                <td>no ( or ) can be used, [AND] has precedence</td></tr>
                            <tr><td>example:</td>
                                <td>v1 = a [AND] v2 = b [OR] v3 = c [AND] v4 = d</td>
                                <td></td></tr>
                            <tr><td><b>Value assignment:</b></td><td></td><td></td></tr>
                            <tr><td></td>
                                <td>[Modifiable variable] = [Expression]</td>
                                <td>Modifiable variables: linked to POFL:* or POFX:*</td></tr>
                            <tr><td>in detail:</td><td></td><td></td></tr>
                            <tr><td></td>
                                <td>[v] = (nothing)</td>
                                <td>Clears the variable</td></tr>
                            <tr><td></td>
                                <td>[v1] = [v2]</td>
                                <td>v2 can be any variable, not only the modifiables</td></tr>
                            <tr><td></td>
                                <td>[v] = true or [v] = false</td>
                                <td>result set to boolean true/false</td></tr>
                            <tr><td></td>
                                <td>[v] = [numeric expression]</td>
                                <td>the numeric expression can contain numeric (integer or float) variables</td></tr>
                            <tr><td></td>
                                <td>[v] = [timestamp] [+|-] [numeric expression]</td>
                                <td>the result of the expression will be used as milliseconds</td></tr>
                            <tr><td></td>
                                <td>[v] = [text]</td>
                                <td>result set to this text</td></tr>
                            <tr><td></td>
                                <td>Multiple assignment possible, separated by [AND]</td>
                                <td></td></tr>
                            <tr><td>example:</td>
                                <td>v1 = 23.5 * v4 [AND] v2 = this text [AND] v3 = false</td>
                        
                        </table>
                    
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>