<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Restore Deleted Items</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/regio/ok/restoreselform" />
                    <c:url var="restore_url"  value="/regio/restore/restoreselform" />
                    <form:form action="${ok_url}" method="post" modelAttribute="aulselform">
                        <table><tr>
                            <td>Object type:</td>
                            <td><form:select path="objecttype">
                                    <form:options items = "${otlist}" />
                                </form:select></td>
                            <c:if test="${aulchuser}">
                            	<td>User name:</td>
                            	<td><form:input path="username"/></td>
                            	<td></td><td></td>
                           	</c:if>
                           	<c:if test="${!aulchuser}">
                            	<form:hidden path="username"/>
                            	<td></td><td></td><td></td><td></td>
                            </c:if>
                        </tr>
                        <tr>
                            <td>Logs from:</td>
                            <td><form:input path="from"/></td>
                            <td>to:</td>
                            <td><form:input path="to"/></td>
                            <td></td><td></td>
                        </tr>
                        <tr>
                            <td>Key 0:</td>
                            <td><form:input path="key0"/></td>
                            <td>Key 1:</td>
                            <td><form:input path="key1"/></td>
                            <td>Key 2:</td>
                            <td><form:input path="key2"/></td>
                        </tr>
                        <tr>
                            <td>Key 3:</td>
                            <td><form:input path="key3"/></td>
                            <td>Key 4:</td>
                            <td><form:input path="key4"/></td>
                            <td></td><td></td>
                        </tr>
                        <tr>
                        	<td><button type="submit">Find</button></td>
                        	<td></td><td></td><td></td><td></td><td></td>
                        </tr>
                        <tr>
                            <td colspan="6">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <form:form action="${restore_url}" method="post" modelAttribute="aullist">
                    <!-- Content table if there was something selected -->
                    <c:if test="${aullist.sellist.size() > 0}">
                        <table>
                        	<tr>
                        		<td></td>
                        		<td colspan="2"><button type="submit">Restore selected</button></td>
                        		<td></td><td></td><td></td><td></td><td></td>
                        	</tr>
                            <tr>
                                <td></td>
                                <td><b>Object type</b></td>
                                <td><b>Key 0</b></td>
                                <td><b>Key 1</b></td>
                                <td><b>Key 2</b></td>
                                <td><b>Key 3</b></td>
                                <td><b>Key 4</b></td>
                                <td><b>User</b></td>
                            </tr>
                            
                             <c:forEach var="log" items="${aullist.sellist}" varStatus="row">
                            	<form:hidden path="sellist[${row.index}].objecttype" value="${log.objecttype}"/>
                    			<form:hidden path="sellist[${row.index}].key0" value="${log.key0}"/>
                    			<form:hidden path="sellist[${row.index}].key1" value="${log.key1}"/>
                    			<form:hidden path="sellist[${row.index}].key2" value="${log.key2}"/>
                    			<form:hidden path="sellist[${row.index}].key3" value="${log.key3}"/>
                    			<form:hidden path="sellist[${row.index}].key4" value="${log.key4}"/>
                                <tr>
                                    <td>
                                    	<form:checkbox path="sellist[${row.index}].selected" value="${log.selected}" />
                                    </td>
                                    <td>${log.objecttype}</td>
                                    <td>${log.key0}</td>
                                    <td>${log.key1}</td>
                                    <td>${log.key2}</td>
                                    <td>${log.key3}</td>
                                    <td>${log.key4}</td>
                          			<td>${log.username}</td>
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    </form:form>
                </div>
            </div>

    </body>
</html>