<%@ include file="/WEB-INF/jsp/base.jspf" %>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Test: List of Pot Types</title>
    </head>
    <body>
        <div id="frame">
            <div id="head">
                <div id="headleft"></div>
                <div id="headright"></div>
            </div>
            <div id="navi">
                <form action="<c:url value = "/test/cockpit"/>">
                    <input type="submit" value="<c:url value = ident.ws.wback/>" />
                </form>
            </div>
            <div id="content">
                <div id="contentleft"></div>
                <div id="contentright">
                    <h1>Test: List of Pot Types</h1>
                    <table border="1">
                        <tr>
                            <th>Id</th>
                            <th>Type</th>
                            <th>Match0</th>
                            <th>Match1</th>
                            <th>Match2</th>
                            <th>Match3</th>
                            <th>Match4</th>
                            <th>Created</th>
                            <th>Modified</th>
                            <th>Actions</th>
                        </tr>
                        <c:forEach var="pt" items="${pottypelist}">
                            <tr>
                                <td>${pt.getId()}</td>
                                <td>${pt.getType()}</td>
                                <td>${pt.getMatchkey0()}</td>
                                <td>${pt.getMatchkey1()}</td>
                                <td>${pt.getMatchkey2()}</td>
                                <td>${pt.getMatchkey3()}</td>
                                <td>${pt.getMatchkey4()}</td>
                                <td>${pt.getCreated()}</td>
                                <td>${pt.getModified()}</td>
                                <td></td>
                            </tr>
                        </c:forEach>
                    </table>
                </div>
            </div>
        </div>
    </body>
</html>